Subject: [TR] Rubber buffer for TR6 convertible top frame

From: "David Soknacki" <[email-masked]>
Date: Wed, 13 Jul 2016 16:24:01 -0400

Hi List!

1. Can anyone help me source a couple of rubber buffers for my TR6
convertible top frame?

2. These buffers stop the frame from rubbing on the wheel arch when the top
is down. An example is shown as item GM-81 on page 88 of TRF's Green Book
(http://trf.zeni.net/TR6greenbook/88.php), TRF's part number 622377. TRF
says they are no longer made or stocked. I couldn't find it among my other
usual vendors either.

3. I've purchased a new top, had the frame powder coated, and ordered new
hardware ... I'd prefer to install new buffers at the same time.

Many thanks to all.

David Soknacki
74 TR6 CF22072U

** [email-masked] **

Archive: http://www.team.net/archive